Subject: bug#9960: Compiling Emacs trunk with MSVC

From: Juanma Barranquero <[email-masked]>
Date: Mon, 21 Nov 2011 03:45:06 +0100

On Mon, Nov 21, 2011 at 03:30, Stefan Monnier <[email-masked]> wrote:

> I'm not sure I understand the question, but IIUC the answer is that
> `long' is 64bit on all known 64bit POSIX systems.

OK, let me rephrase the question to Fabrice (I thought that he meant
that there was some typedef or macro that he had to change, not
variables directly declared to be long):

Why it is a problem to "switch long to something that is 64 bits long
on a 64-bit architecture"? What is the problem exactly?

    Juanma